BEEM - Android XMPP - Bug #214

[ContactList] Leaked window on ScreenOrientationChange
11/19/2009 01:04 AM - Jean-Manuel Da Silva

Status: Closed Start date: 11/19/2009
Priority: Urgent Due date:

Assignee: Vincent Véronis % Done: 100%
Category: User Interface Estimated time: 1.00 hour
Target version: Version Forum EIP

Affected version: Locale:

Description

Commands:

- Go on your contact list
- Do a long click on a user to show the menu
- Switch your screen orientation

Result/Bug:

11-19 01:03:01.293: ERROR/WindowManager(27764): Activity com.beem.project.beem.ui.ContactList has leaked window
com.android.internal.policy.impl.PhoneWindow$DecorView@4320a0d8 that was originally added here

11-19 01:03:01.293: ERROR/WindowManager(27764): android.view.WindowLeaked: Activity com.beem.project.beem.ui.ContactList
has leaked window com.android.internal.policy.impl.PhoneWindow$DecorView@4320a0d8 that was originally added here
11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.view.ViewRoot.<init>(ViewRoot.java:214)

11-19 01:03:01.293: ERROR/WindowManager(27764): at
android.view.WindowManagerIimpl.addView(WindowManagerimpl.java: 148)

11-19 01:03:01.293: ERROR/WindowManager(27764): at
android.view.WindowManagerimpl.addView(WindowManagerimpl.java:91)

11-19 01:03:01.293: ERROR/WindowManager(27764): at
android.view.Window$LocalWindowManager.addView(Window.java:409)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.app.Dialog.show(Dialog.java:238)

11-19 01:03:01.293: ERROR/WindowManager(27764): at
com.beem.project.oeem.ui.ContactList$BeemContactListOnLongClick.onltemLongClick(ContactList.java:281)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.widget.AbsListView.performLongPress(AbsListView.java:1693)
11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.widget.AbsListView.access$500(AbsListView.java:71)
11-19 01:03:01.293: ERROR/WindowManager(27764):  at
android.widget.AbsListView$CheckForLongPress.run(AbsListView.java:1651)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.os.Handler.handleCallback(Handler.java:587)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.os.Handler.dispatchMessage(Handler.java:92)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.os.Looper.loop(Looper.java:123)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at android.app.ActivityThread.main(ActivityThread.java:4203)
11-19 01:03:01.293: ERROR/WindowManager(27764):  at java.lang.reflect.Method.invokeNative(Native Method)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at java.lang.reflect.Method.invoke(Method.java:521)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at
com.android.internal.os.ZygotelnitsMethodAndArgsCaller.run(Zygotelnit.java:791)

11-19 01:03:01.293: ERROR/WindowManager(27764):  at com.android.internal.os.Zygotelnit.main(Zygotelnit.java:549)
11-19 01:03:01.293: ERROR/WindowManager(27764):  at dalvik.system.NativeStart.main(Native Method)
History

#1 - 11/19/2009 04:39 PM - Vincent Véronis
- Status changed from New to Assigned
- Assignee changed from Frédéric Barthéléry to Vincent Véronis

- Target version set to Version Forum EIP

On prend

#2 - 12/11/2009 06:15 PM - Vincent Véronis
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

New dialog context.

#3 - 01/04/2010 06:48 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

Closed
